Download Shareware and Freeware Software for Windows, Linux, Macintosh, PDA

line Home  |  About Us  |  Link To Us  |  FAQ  |  Contact

Serving Software Downloads in 976 Categories, Downloaded 30.153.998 Times

AceProject 1.0

Company: WebSystems
Date Added: October 24, 2006  |  Visits: 30.777
5 Stars5 Stars5 Stars5 Stars5 Stars

AceProject
Full screenshot

Report Broken Link
Printer Friendly Version


Product Homepage
Download (4801 downloads)

AceProject is a 100% web-based task management and bug tracking system, designed for project managers and workers who need a centralized, online workspace: manage multiple projects or teams online, track your tasks organized by project, assign tasks to your employees, email notification when tasks are added or updated.

AceProject also provides web-based time sheet tracking and reporting for online project administration of small businesses and independent contractors. Every user fills out his/her time sheet on a weekly basis. When time sheet are completed, users can send an approval request to their Project Manager using the email notification feature. Project Managers can then approve or reject time sheets. When time sheets are approved, Project Managers can see how much time each employee spent on each project.

Requirements: A Universal System, Compatible with all Browsers
Install Support: No Install Support
Platforms: DOS, Windows 3.x, Windows 95, Windows 98, Windows Me, Windows NT 3.x, Windows NT 4.x, Windows 2000, Windows XP, Unix, Linux, Windows CE
Keyword: Bug Tracking Software Project Management Software Task Management Timesheet And Time Management
Users rating: 4/10

License: Freeware
USER REVIEWS
(17 April 2010, 02:57)

Comments:

Are you fed up with this.Just try this .. The Swifttime is an electronic web based application making it easy for employees and managers to improve work efficiency. Best suited for firms with remote employees and companies with hourly employees where proper documentation of working hours are required. This application can be accessed from any web based device like mobile devices(Blackberry or iphone). It has following advantages: · Provides a menu driven user interface. · High accuracy in payroll management. · Employees and managers can easily access this application via Internet or mobile devices. · No start-up cost is required. · Nightly backups of all data. · Helps to ensure compliance with federal wage and hour laws. · Advanced reporting module. · Integrated billing and invoicing module. · Data can be exported to Excel spreadsheets for further processing. · Integration with payroll programs like ADP, Quick Books, Peach tree and others available

Guides:

Visit : http://www.swifttime.me/
Ease of use : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Functionality : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Value for money : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Overall score : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
 
(15 February 2006, 14:46)

Comments:

I have been using Ace Project for about 6 months and it is a nice web-based software. Their demo version (Hosted Basic package) is adware free (contrarilly to what others mentioned here...) and all its features are enabled, unlike most demos... They offer quick support and they seem to have hired support staff, because the service is quicker than before (it is possible to chat with their support staff). The only thing I dislike with this product is the non-customizable interface. I personally hate the colors and a few parts of the interface bother me. But overall, this product kicks ass!
Ease of use : 3.5 Stars3.5 Stars3.5 Stars3.5 Stars3.5 Stars
Functionality : 3 Stars3 Stars3 Stars3 Stars3 Stars
Value for money : 4 Stars4 Stars4 Stars4 Stars4 Stars
Overall score : 4 Stars4 Stars4 Stars4 Stars4 Stars
 
(25 January 2006, 12:47)

Comments:

I started using AceProject to manage projects for my small IT enterprise. It saved me the cost of hiring a project manager because this software helps you to organize your ideas. I used the free version for about 1 year and I upgraded to their Gold package. I pay on a annual basis and it costs me $900/year. Whenever I have some questions, I can speak with one of their support agent via live chat. I know their service was average before, but it seems they hired people. The software has radically changed. I started using it with version 3 and they released 4.1 a few weeks ago. It is possible to import data, print Gantt Charts (finally!!!), search through help topics, and lots more. This is 100% web-based, so no worries about installing and updating the software. Highly recommended Alex www.aceproject.com
Ease of use : 5 Stars5 Stars5 Stars5 Stars5 Stars
Functionality : 5 Stars5 Stars5 Stars5 Stars5 Stars
Value for money : 5 Stars5 Stars5 Stars5 Stars5 Stars
Overall score : 5 Stars5 Stars5 Stars5 Stars5 Stars
 
( 3 February 2005, 15:20)

Comments:

Very good piece of software, simple and easy to use. BUT: you start using it, become dependant on it and when things go wrong, support is nowhere to be found - they take ages to reply to emails, they never answer the phone, poblems are not fixed on time and most importantly - DATA IS LOST!!!
Ease of use : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Functionality : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Value for money : 1 Stars1 Stars1 Stars1 Stars1 Stars
Overall score : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
 
(14 May 2004, 07:39)

Comments:

When u plan to do an opensource-project. Don't use this management tools. That are not real tools you give your project's data in foreign hands!!! If you do so you could also discuss your bug tracking on a simple forum. That this is ought to be freeware is simply a false announcement.rnWhat the do here is advertising. A demoversion is, in our days, not something special or "hot" but that is normal!!!
Ease of use : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Functionality : 2.5 Stars2.5 Stars2.5 Stars2.5 Stars2.5 Stars
Value for money : 2.5 Stars2.5 Stars2.5 Stars2.5 Stars2.5 Stars
Overall score : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
 
(29 January 2004, 18:44)

Comments:

Wow ....rnI like It ...rnrnFree software ....rn....rnClick here to order ....rnrnhehe
Ease of use : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Functionality : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Value for money : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
Overall score : 0.5 Stars0.5 Stars0.5 Stars0.5 Stars0.5 Stars
 
More Reviews or Write Review
ACEPROJECT RELATED
Time Management  -  TimeTrex Payroll and Time Management 5.3.1-1011
TimeTrex is a complete web-based Payroll and Time Management suite which offers Employee Scheduling, Time and Attendance (time clock, timesheet), Job Costing, Invoicing / Accounts Receivable and Payroll all in single tightly integrated package....
3.81 MB  
Finance  -  TimeTrex Payroll and Time Management 2.2.9-1022 1.0
TimeTrex is a complete web-based Payroll and Time Management suite which offers Employee Scheduling, Time and Attendance (time clock, timesheet), Job Costing, Invoicing / Accounts Receivable and Payroll all in single tightly integrated package....
3.81 MB  
Project Management  -  TrackRay 1.2.76
TrackRay is free web based Task and Time management software for mobile and desktop use. It can track project task assignments, activities, progress status; record timesheet entries and evaluate team members' workload. TrackRay is: *...
9.77 KB  
Project Management  -  Timetracker Lite 2012:Free Timesheet 2012R1.0
Timetracker Lite 2012 : Time management software for professionals Timetracker Lite 2012 is free time management software for professionals to track time spent on various activities in a project. Features - Daily Timesheet - Monthly overview of...
7.97 MB  
Project Management  -  Keystone Fiber Management Software 3.0
Keystone Fiber Management Software Version 3.0 integrates both personnel and document management capabilities into a complete fiber management solution. Engineered and designed for documentation and maintenance of fiber optic networks.
10.67 KB  
Calendars & Scheduling Tools  -  TimeTrex 2.0.3 / 2.1.0 RC1
TimeTrex project is a complete Web-based payroll and time management suite that offers employee scheduling, attendance (time clock), job costing, invoicing/accounts receivable, and payroll in a tightly integrated package. With the ability to...
37 MB  
Utilities  -  Astaro Community Software Project 0.9
The goal of the Astaro Community Software Project is to create a working and extensible framework with which new (third-party) software can be added to stock ASL systems. The desire to do this arose because ASL systems are not simply standalone...
358.4 KB  
Business  -  10 Day Time Management 1.2
Time Management learn the key points of Time management in this practical ten day course. Learn how to organise yourself and get more done, so you achieve more in your life - with less stress Each day has a new technique and...
2.9 MB  
Project Management  -  Project management software Comindwork 2.2
Comindwork is online project management software that includes: * Project Management - Creating project tasks, build schedule, Gantt charts, milestones, project risks, manage issues, task management * Collaboration and Blog - Enable structured and...
200 KB  
Personal Information Managers  -  VisioTask Free Task Management Software 2.1.0
See what's important clearer than ever. Use the power of visualization. Achieve outstanding results by effective choices. - Capture quickly, find your tasks, emails, documents on one page and save your time. - See the big picture and...
12.19 MB  
NEW DOWNLOADS IN BUSINESS, PROJECT MANAGEMENT
Business  -  Edraw MindMaster 6.0
MindMaster is a cross-platform and multi-functional mind mapping software newly released by Edrawsoft. It provides effective mind mapping solutions for problem-solving, brainstorming, knowledge management, business planning, note-taking, and...
75.9 MB  
Business  -  Efficcess Free 5.50.0.536
Efficcess Free is a cross-platform personal information manager that can help you organize and plan your business and private life. With Efficcess Free you can keep track of contacts, appointments, tasks, to-do lists, birthdays, and much more. The...
19.44 MB  
Business  -  Doxillion Document Converter Free 2.71
Doxillion is a free PDF converter to convert docx, doc, rtf, html, xml, wpd, odt, txt and other text file formats. Convert a single file or batch convert several PDFs at a time. Easily add Doxillion to your right click menu to add fast and simple...
1.45 MB  
Business  -  Copper Point of Sale Software Free 2.00
Copper Free POS software provides businesses with a cash register system to store product information. Storing this information makes the checkout process much faster and more accurate. Copper Free easily records sales transactions, prints...
516.2 KB  
Business  -  ServiceDesk Lite 10.0
ServiceDesk Lite is free ready to use service management software that enables you to manage customer complaint life cycle from complaint initiation, assignment to closure in a very simple way.For service oriented firms it is very essential to...
5.83 MB  
Project Management  -  RationalPlan Project Viewer for Linux 4.16.0
RationalPlan Project Viewer by Stand By Soft is a free project management software viewer, the perfect solution for anyone (from project stakeholders to team workers) to view your projects in detail. Although the project managers plan and control...
39.56 MB  
Project Management  -  RationalPlan Single Project for Linux 4.16.0
RationalPlan Single Project is a powerful project management software designed to assist project managers in developing plans, allocating resources, tracking progress, managing budgets and analyzing workload. You can use RationalPlan in the area...
35.82 MB  
Project Management  -  RationalPlan Project Viewer 4.16.0
RationalPlan Project Viewer by Stand By Soft is a free project management software viewer, the perfect solution for anyone (from project stakeholders to team workers) to view your projects in detail. Although the project managers plan and control...
99.61 MB  
Project Management  -  Business Process Manager 2.56
Business Process Manager (BPM) will help you optimize your work in being a Project Manager, Consultant, Sales Person, or Supporter. Fine-tune up to 10 Tasks of your daily work over time. Where is it possible to improve, and what's their impact...
3.06 MB  
Project Management  -  ManageEngine ServiceDesk Plus 9.3
ServiceDesk Plus is a web based, easy to use Help Desk and Asset Management software which integrates Ticketing, Asset Tracking, Purchasing, Project Management, Contract Management and Knowledge Base in one low-cost package. It has an...
107.77 MB